from Products.Archetypes.public import BaseFolder, registerType
from Products.Archetypes.atapi import *
from Products.MultiPageContentType.config import PROJECTNAME


class MultiPageContentType(BaseContent):

    schema = Schema((
        TextField(
            name='Beginning',
            schemata='Part One: beginning',
            widget=RichWidget(),
            ),
        TextField(
            name='Middle',
            schemata='Part Two: middle',
            widget=RichWidget(),
            ),
        TextField(
            name='End',
            schemata='Part Three: end',
            widget=RichWidget(),
            ),
        )) + BaseSchema.copy()

    schema['title'].schemata = 'Part One: beginning'
    schema.moveField('title', before="Beginning")

    _at_rename_after_creation = True

registerType(MultiPageContentType, PROJECTNAME)
