PROJECTNAME = 'MultiPageContentType'
GLOBALS = globals()
SKINS_DIR = 'skins'

try: # New CMF
    from Products.CMFCore import permissions as CMFCorePermissions
except: # Old CMF
    from Products.CMFCore import CMFCorePermissions

VIEW                      = CMFCorePermissions.View
MODIFYPORTALCONTENT       = CMFCorePermissions.ModifyPortalContent
ACCESSCONTENTSINFORMATION = CMFCorePermissions.AccessContentsInformation

ACTIONS =  ({'action': "string:${object_url}",
             'category': "object",
             'id': 'view',
             'name': 'View',
             'permissions': (VIEW,),
             'condition': 'python:1'
             },

            
            {'action': "string:${object_url}/edit",
             'category': "object",
             'id': 'edit',
             'name': 'Edit',
             'permissions': (MODIFYPORTALCONTENT,),
             'condition': 'python:1'
             },
            )
